{: test a compilation error occurs if parameter lists are not congruous }

{$d+}
program e115( output );

type
   smallInt  = 1..10;
   digits    = '1'..'9';
   arrayType = array[digits] of integer;

var
   aci, aci1 : arrayType;
   aci2      : array['1'..'9'] of integer;

   aii : array[1..9] of integer;

procedure p1(aa1: array[lo..hi :char ] of integer);
begin
   aa1['1'] := 0;
end; { p1 }

procedure p2(aa1: array[lo..hi :digits ] of integer);
var
   z   : char;
begin
   z := lo;
   aa1[z] := 3;
   aa1[hi] := 3;
end;

procedure test( procedure p(aa1: array[lo..hi :char ] of integer ) );
begin
   p(aci);
end; { test }

begin {e115}

   test(p1);    { OK }
   test(p2);    { !!! different index type in conformant array }
   writeln( 'fails: conformant array parameter list type error not detected' );

end. { e115 }

